<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
      xmlns:am="http://typo3.org/ns/CodingMs/AddressManager/ViewHelpers"
      data-namespace-typo3-fluid="true">
<f:layout name="Default" />

<f:section name="Bootstrap">
	<f:render section="Bootstrap4" arguments="{_all}" />
</f:section>

<f:section name="Bootstrap4">

	<div class="address-show-messages">
		<f:flashMessages />
	</div>
	<div class="container">
		<div class="row">
			<div class="col">
				<h1>{address.name}</h1>
				<span class="badge badge-info">{address.groupsString}</span>
				<span class="badge badge-info">{address.organisationsString}</span>
				<span class="badge badge-info">{address.positionsString}</span>
			</div>
		</div>
	</div>
	<div class="container">
		<div class="row">
			<div class="col">
				<div class="address-image">
					<f:if condition="{f:count(subject: address.images)}">
						<f:then>
							<f:for each="{address.images}" as="fileReference" iteration="imageIteration">
								<f:if condition="{imageIteration.isFirst}">
									<f:image src="{fileReference.uid}"
											 treatIdAsReference="1"
											 class="img-responsive img-fluid"
											 alt="{address.name}"
											 title="{address.name}" />
								</f:if>
							</f:for>
						</f:then>
						<f:else>
							<f:image src="{f:uri.resource(path:'Images/no-image.png')}"
									 width="{settings.detail.image.width}"
									 height="{settings.detail.image.height}"
									 alt="{address.name}"
									 title="{address.name}" />
						</f:else>
					</f:if>
				</div>
			</div>
			<div class="col">
				<f:format.html>{address.description}</f:format.html>

				<ul>
					<li>Mon: {address.openingHoursMondayOpens} - {address.openingHoursMondayCloses}</li>
					<li>Tue: {address.openingHoursTuesdayOpens} - {address.openingHoursTuesdayCloses}</li>
					<li>Wed: {address.openingHoursWednesdayOpens} - {address.openingHoursWednesdayCloses}</li>
					<li>Thu: {address.openingHoursThursdayOpens} - {address.openingHoursThursdayCloses}</li>
					<li>Fri: {address.openingHoursFridayOpens} - {address.openingHoursFridayCloses}</li>
					<li>Sat: {address.openingHoursSaturdayOpens} - {address.openingHoursSaturdayCloses}</li>
					<li>Sun: {address.openingHoursSundayOpens} - {address.openingHoursSundayCloses}</li>
				</ul>

			</div>
		</div>
	</div>
	<div class="container">
		<div class="row">
			<div class="col">
				<b>{address.gender} {address.title} {address.firstName} {address.lastName}</b><br >
				{address.company}<br />
				{address.address}<br />
				{address.postalCode} {address.city}<br />
				{address.postalRegion}<br />
				{address.country}<br />
				<br />
				{address.building}<br />
				{address.room}<br />
				{address.directions -> f:format.html()}<br />
			</div>
			<div class="col">
				<f:if condition="{address.email}"><br><f:link.email email="{address.email}">{address.email}</f:link.email><br /></f:if>
				<f:if condition="{address.phone}"><f:translate key="tx_addressmanager_label.address_phone" />: {address.phone}<br /></f:if>
				<f:if condition="{address.mobile}"><f:translate key="tx_addressmanager_label.address_mobile" />: {address.mobile}<br /></f:if>
				<f:if condition="{address.fax}"><f:translate key="tx_addressmanager_label.address_fax" />: {address.fax}<br /></f:if>
				<f:if condition="{address.www}"><f:link.external uri="{address.www}">{address.www}</f:link.external><br /></f:if>
				<f:if condition="{address.facebook}"><f:link.external uri="{address.facebook}">{address.facebook}</f:link.external><br /></f:if>
				<f:if condition="{address.linkedin}"><f:link.external uri="{address.linkedin}">{address.linkedin}</f:link.external><br /></f:if>
				<f:if condition="{address.instagram}"><f:link.external uri="{address.instagram}">{address.instagram}</f:link.external><br /></f:if>
				<f:if condition="{address.twitter}"><f:link.external uri="{address.twitter}">{address.twitter}</f:link.external><br /></f:if>
				<f:if condition="{address.youtube}"><f:link.external uri="{address.youtube}">{address.youtube}</f:link.external><br /></f:if>
			</div>
		</div>
	</div>
	<div class="container">
		<div class="row">
			<div class="col">
				<div class="address-detail-map-wrapper" style="width: 100%;height: 250px">
					<f:render partial="Address/GoogleMapsConsent" section="{settings.framework}" arguments="{_all}" />
					<div id="map-wrapper">
						<div id="address-detail-map"
							 data-tooltip="{address.name}"
							 data-zoom="{address.mapZoom}"
							 data-style="{settings.detail.map.style}"
							 data-latitude="{address.mapLatitude}"
							 data-longitude="{address.mapLongitude}"
							 data-map-marker="{am:variable.get(name: 'settings.list.map.marker.style.{address.mapMarker}')}"
							 data-marker-width="{settings.detail.map.marker.width}"
							 data-marker-height="{settings.detail.map.marker.height}"
							 style="width: 100%; height: 250px;"></div>
					</div>
				</div>
			</div>
		</div>
	</div>

</f:section>

</html>
